autoLFG = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0")

-- Optionen fr /autoLFG /alfg
local options = {
    type = 'group',
    args = {
      toggle = {
        type = 'toggle',
        name = 'toggle',
        desc = 'Turns LFG-Channel on/off',
        get = function() return autoLFG.State end,
        set = function() autoLFG:Toggle() end,
      },
    }
}

function autoLFG:Toggle()
  if (self.State) then
    autoLFG:UnregisterEvent("PARTY_MEMBERS_CHANGED");
    autoLFG.State = false;
    -- BEFEHL ZUM VERLASSEN DES TOOLS EINFGEN
    SetLookingForGroup(3, 1);
  else
    autoLFG:RegisterEvent("PARTY_MEMBERS_CHANGED");
    OpenLFGChannel();
  end
end

function autoLFG:OnInitialize()
    -- Called when the addon is loaded
    autoLFG.State = false;
end

function autoLFG:OnEnable()
    -- Called when the addon is enabled
    self:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE");
    self:RegisterEvent("PARTY_MEMBERS_CHANGED");
    self:RegisterChatCommand({"/autoLFG", "/alfg"}, options);
    self:Print("Loaded Version: 1.3.2-0007");
end

function autoLFG:OnDisable()
    -- Called when the addon is disabled
end

function autoLFG:CHAT_MSG_CHANNEL_NOTICE()
    -- RegisterEvent: CHAT_MSG_CHANNEL_NOTICE
    OpenLFGChannel();
    autoLFG:UnregisterEvent("CHAT_MSG_CHANNEL_NOTICE");
end

function autoLFG:PARTY_MEMBERS_CHANGED()
    -- RegisterEvent: PARTY_MEMBERS_CHANGED
    OpenLFGChannel();
end

function ClearAutoJoin()
    -- Automatisch einladen aus
    LFG_AUTO_JOIN = nil;
    ClearLFGAutojoin();
    if AutoJoinCheckButton then AutoJoinCheckButton:SetChecked(LFG_AUTO_JOIN); end
end

function OpenLFGChannel()
    if (GetNumPartyMembers()==0) then
      SetLFGType(3,5);
      SetLookingForGroup(3, 5, 1);
      SetLFGComment("LFG-Channel enabled by autoLFG");
      ClearAutoJoin();
    else
      if (UnitIsPartyLeader("player")==1) then
        SetLookingForMore(5, 1);
        SetLFGComment("LFG-Channel enabled by autoLFG");
      end
    end
    autoLFG.State = true;
end